textures/ql/telex
{
	qer_editorimage textures/ql/telex.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	nopicmip
	polygonOffset 
	sort 6
	{
		map textures/ql/telex.tga
		blendfunc add
	}
}
textures/ql/sensor
{
	qer_editorimage textures/ql/sensor.tga
	qer_trans 0.40
	surfaceparm nonsolid
	nopicmip
	cull disable	
	{
		map textures/ql/sensor.tga
		rgbGen wave triangle 0.44 0.12 0 0.8
		blendfunc add
	}
	{
		map textures/ql/sensor.tga
		rgbGen wave triangle 0.05 0.05 1 2.2
		blendfunc add
		tcmod scale 0.98 0.98
	}
	{
		map textures/ad_content/adbrightoverlay.tga
		rgbGen Wave sin .12 0.05 0 2
		tcmod scroll 1 0.2
		blendfunc add
	}
}
textures/ql/snow
{
	surfaceparm	snowsteps
	surfaceparm nomarks
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ql/snow.tga
		rgbGen identity
		blendfunc filter
	}
}
textures/ql/bricks_dark_trim_ns
{
	qer_editorimage textures/ql/bricks_dark_trim.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ql/bricks_dark_trim.tga
		rgbGen identity
		blendfunc filter
	}
}
textures/ql/metwall_dark
{
	qer_editorimage textures/ql/metwall_dark.tga
	{
		map textures/base_wall/chrome_env.tga
	    	rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/ql/metwall_dark.tga
		blendfunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}
textures/ql/metal_support_simple
{
    surfaceparm trans	
	surfaceparm alphashadow
   	surfaceparm nonsolid
	surfaceparm nomarks	
	cull none
    nopicmip
	{
		map textures/ql/metal_support_simple.tga
		blendfunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}
textures/ql/target
{
	qer_editorimage textures/ql/target.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	nopicmip
	{
		map textures/ql/target.tga
		blendfunc add
	}
}
textures/ql/arrow
{
	qer_editorimage textures/ql/arrow.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/ql/arrow.tga
		blendfunc add
	}	
}
textures/ql/xmas_red_string
{
	qer_editorimage textures/ql/xmas_red_string.jpg
    cull disable
    surfaceparm trans
    surfaceparm nolightmap
    surfaceparm nonsolid
    q3map_surfacelight 150
	nopicmip
	{
		map textures/ql/xmas_red_string.jpg
		blendfunc add
		rgbGen identity
	}
}
textures/ql/ice
{
	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		rgbgen wave sin .25 0 0 0
	}
	{
		map textures/ql/ice.tga
		blendfunc GL_ONE GL_SRC_ALPHA
		rgbgen identity	
	}
	{
		map $lightmap
        blendfunc filter
        blendfunc filter
        rgbgen identity 
	}
}
textures/ql/flat_logo
{
   	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset 
	qer_trans 0.5 
	sort 6 
	qer_editorimage textures/ql/flat_logo.tga
	{
		map textures/ql/flat_logo_decal.tga
		blendfunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
		rgbGen identity 
	} 
}
textures/ql/flat_glass
{
	qer_editorimage textures/ql/flat.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight
	surfaceparm trans
	qer_trans 0.5
	cull disable
	{
		map textures/ql/flat_2.tga
		blendfunc filter
	}
	{
		map textures/effects/tinfx_eyetoeye.tga
		blendfunc add
		rgbGen identity
		tcGen environment
	}
}
textures/ql/ql_item_spawn
{
	qer_editorimage textures/ql/ql_item_spawn.tga
	surfaceparm	nomarks   
    surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm pointlight
	polygonOffset 
	qer_trans 0.5 
	sort 6 
	nopicmip
	{
		map textures/ql/ql_item_spawn.tga
		rgbGen identity
		blendfunc add
		tcmod rotate 10
	}
	{
		map textures/ql/ql_item_spawn_2.tga
		rgbGen identity
		blendfunc add
		tcmod rotate 30
	}
	{
		map textures/ql/ql_item_spawn_3.tga
		rgbGen identity
		blendfunc add
		tcmod rotate 20
	}
}
textures/ql/snowcrete
{
	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		rgbgen wave sin .25 0 0 0
	}
	{
		map textures/ql/snowcrete.tga
		blendfunc GL_ONE GL_SRC_ALPHA
		rgbgen identity	
	}
	{
		map $lightmap
        	blendfunc filter
		rgbgen identity 
	}
}
textures/ql/snow_melting
{
    	surfaceparm trans	
	surfaceparm alphashadow
   	surfaceparm nonsolid
	surfaceparm nomarks	
	sort 6
	{
		map textures/ql/snow_melting.tga
		blendfunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}
textures/ql/snow_ns
{
	qer_editorimage textures/ql/snow.tga
	surfaceparm	snowsteps
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ql/snow.tga
		rgbGen identity
		blendfunc filter
	}
}
textures/ql/concrete_brown_scaled
{
	qer_editorimage textures/ql/concrete_brown.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ql/concrete_brown.tga
		tcmod scale 2 2
		blendfunc filter
	}
}
textures/ql/concrete_red_scaled
{
	qer_editorimage textures/ql/concrete_red.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ql/concrete_red.tga
		tcmod scale 2 2
		blendfunc filter
	}
}
textures/ql/concrete_brown_pillar_scaled
{
	qer_editorimage textures/ql/concrete_brown_pillar.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ql/concrete_brown_pillar.tga
		tcmod scale 2 2
		blendfunc filter
	}
}
textures/ql/concrete_brown_pillar_scaled
{
	qer_editorimage textures/ql/concrete_brown_pillar.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ql/concrete_brown_pillar.tga
		tcmod scale 2 2
		blendfunc filter
	}
}
textures/ql/concrete_blue_pillar_scaled
{
	qer_editorimage textures/ql/concrete_blue_pillar.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ql/concrete_blue_pillar.tga
		tcmod scale 2 2
		blendfunc filter
	}
}
textures/ql/concrete_red_pillar_scaled
{
	qer_editorimage textures/ql/concrete_red_pillar.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ql/concrete_red_pillar.tga
		tcmod scale 2 2
		blendfunc filter
	}
}
textures/ql/concrete_blue_scaled
{
	qer_editorimage textures/ql/concrete_blue.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ql/concrete_blue.tga
		tcmod scale 2 2
		blendfunc filter
	}
}
textures/ql/caution_sudden_drop
{
    nopicmip
	{
		map textures/ql/caution_sudden_drop.tga
		blendfunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}
textures/ql/metcol_neutral_noglow
{
	qer_editorimage textures/ql/metcol_neutral.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ql/metcol_neutral.tga
		blendfunc filter
	}
}
textures/ql/sensor_red
{
	qer_editorimage textures/ql/sensor_red.tga
	qer_trans 0.40
	nopicmip
	cull disable	
	{
		map textures/ql/sensor_red.tga
		rgbGen wave triangle 0.44 0.12 0 0.8
		blendfunc add
	}
}
textures/ql/xmas_star
{
	qer_editorimage textures/ql/xmas_star.jpg
    cull disable
    surfaceparm trans
    surfaceparm nolightmap
    surfaceparm nonsolid
    q3map_surfacelight 80
	nopicmip
	{
		map textures/ql/xmas_star.jpg
		blendfunc add
		rgbGen identity
	}
}
textures/ql/xmas_draping_lights_white
{
	qer_editorimage textures/ql/xmas_draping_lights_white
	cull disable
    surfaceparm trans
    surfaceparm nolightmap
    surfaceparm nonsolid
    q3map_surfacelight 150
	nopicmip
	{
		map textures/ql/xmas_draping_lights_white.jpg
		blendfunc add
		rgbGen identity
	}
}
textures/ql/xmas_cane
{
	qer_editorimage textures/ql/xmas_cane.jpg
    cull disable
    surfaceparm trans
    surfaceparm nolightmap
    surfaceparm nonsolid
    q3map_surfacelight 250
	nopicmip
	{
		map textures/ql/xmas_cane.jpg
		blendfunc add
		rgbGen identity
	}
}
textures/ql/xmas_wrapping_bow
{
	qer_editorimage textures/ql/xmas_wrapping_bow.tga
    cull disable
    surfaceparm nonsolid
	nopicmip
	{
		map textures/ql/xmas_wrapping_bow.tga
		blendfunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}
textures/ql/xmas_tree_green
{
	qer_editorimage textures/ql/xmas_tree_green.jpg
	cull disable
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	q3map_surfacelight 80
	nopicmip
	{
		map textures/ql/xmas_tree_green.jpg
		blendfunc add
		rgbGen identity
	}
}
textures/ql/xmas_tree
{
	qer_editorimage textures/ql/xmas_tree.jpg
	cull disable
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	q3map_surfacelight 80
	nopicmip
	{
		map textures/ql/xmas_tree.jpg
		blendfunc add
		rgbGen identity
	}
}
textures/ql/xmas_raindeer
{
	qer_editorimage textures/ql/xmas_raindeer
    cull disable
    surfaceparm trans
    surfaceparm nolightmap
    surfaceparm nonsolid
    q3map_surfacelight 120
	nopicmip
	{
		map textures/ql/xmas_raindeer.jpg
		blendfunc add
		rgbGen identity
	}
}
textures/ql/xmas_snowman
{
	qer_editorimage textures/ql/xmas_snowman.jpg
    cull disable
    surfaceparm trans
    surfaceparm nolightmap
    surfaceparm nonsolid
    q3map_surfacelight 80
	nopicmip
	{
		map textures/ql/xmas_snowman.jpg
		blendfunc add
		rgbGen identity
	}
}
textures/ql/xmas_wrapping_01
{
	qer_editorimage textures/ql/xmas_wrapping_01.tga
	nopicmip
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ql/xmas_wrapping_01.tga
		blendfunc filter
	}
}
textures/ql/xmas_stroggwings
{
	qer_editorimage textures/ql/xmas_stroggwings
    cull disable
    surfaceparm trans
    surfaceparm nolightmap
    surfaceparm nonsolid
    q3map_surfacelight 150
	nopicmip
	{
		map textures/ql/xmas_stroggwings.jpg
		blendfunc add
		rgbGen identity
	}
}
textures/ql/xmas_draping_lights_white
{
	qer_editorimage textures/ql/xmas_draping_lights_white
	cull disable
    surfaceparm trans
    surfaceparm nolightmap
    surfaceparm nonsolid
    q3map_surfacelight 150
	nopicmip
	{
		map textures/ql/xmas_draping_lights_white.jpg
		blendfunc add
		rgbGen identity
	}
}
textures/ql/xmas_green_string
{
	qer_editorimage textures/ql/xmas_green_string.jpg
    cull disable
   	surfaceparm trans
    surfaceparm nolightmap
    surfaceparm nonsolid
    q3map_surfacelight 150
	nopicmip
	{
		map textures/ql/xmas_green_string.jpg
		blendfunc add
		rgbGen identity
	}
}
textures/ql/xmas_gearwreath
{
	qer_editorimage textures/ql/xmas_gearwreath
    cull disable
    surfaceparm trans
    surfaceparm nolightmap
    surfaceparm nonsolid
    q3map_surfacelight 150
	nopicmip
	{
		map textures/ql/xmas_gearwreath.jpg
		blendfunc add
		rgbGen identity
	}
}
textures/ql/xmas_camper
{
	qer_editorimage textures/ql/xmas_camper.jpg
	cull disable
	surfaceparm trans
	surfaceparm nolightmap
    surfaceparm nonsolid
    q3map_surfacelight 150
	nopicmip
	{
		map textures/ql/xmas_camper.jpg
		blendfunc add
		rgbGen identity
	}
}
textures/ql/xmas_lights_white
{
	qer_editorimage textures/ql/xmas_lights_white
    cull disable
    surfaceparm trans
    surfaceparm nolightmap
    surfaceparm nonsolid
    q3map_surfacelight 150
	nopicmip
	{
		map textures/ql/xmas_lights_white.jpg
		blendfunc add
		rgbGen identity
	}
}
textures/ql/xmas_sleigh
{
	qer_editorimage textures/ql/xmas_sleigh.jpg
    cull disable
    surfaceparm trans
    surfaceparm nolightmap
    surfaceparm nonsolid
    q3map_surfacelight 80
	nopicmip
	{
		map textures/ql/xmas_sleigh.jpg
		blendfunc add
		rgbGen identity
	}
}
textures/ql/xmas_blue_string
{
	qer_editorimage textures/ql/xmas_blue_string.jpg
    cull disable
    surfaceparm trans
    surfaceparm nolightmap
    surfaceparm nonsolid
    q3map_surfacelight 150
	nopicmip
	{
		map textures/ql/xmas_blue_string.jpg
		blendfunc add
		rgbGen identity
	}
}
textures/ql/xmas_lights_red
{
	qer_editorimage textures/ql/xmas_lights_red.jpg
   	cull disable
    surfaceparm trans
    surfaceparm nolightmap
    surfaceparm nonsolid
    q3map_surfacelight 150
	nopicmip
	{
		map textures/ql/xmas_lights_red.jpg
		blendfunc add
		rgbGen identity
	}
}
textures/ql/xmas_lights_green
{
	qer_editorimage textures/ql/xmas_lights_green.jpg
    cull disable
    surfaceparm trans
    surfaceparm nolightmap
    surfaceparm nonsolid
    q3map_surfacelight 150
	nopicmip
	{
		map textures/ql/xmas_lights_green.jpg
		blendfunc add
		rgbGen identity
	}
}
textures/ql/xmas_ornament
{
	qer_editorimage textures/ql/xmas_ornament.tga
   	deformVertexes autosprite
    cull disable
    surfaceparm trans
    surfaceparm nolightmap
    surfaceparm nonsolid
    q3map_surfacelight 120
	nopicmip
	{
		map textures/sfx/pentagramfloor_red_glow.tga
		blendfunc add
		rgbGen identity
	}
}
textures/ql/xmas_lights
{
	qer_editorimage textures/ql/xmas_lights
    cull disable
    surfaceparm trans
    surfaceparm nolightmap
    surfaceparm nonsolid
    q3map_surfacelight 150
	nopicmip
	{
		map textures/ql/xmas_lights.jpg
		blendfunc add
		rgbGen identity
	}
}
textures/ql/concrete_blue2_nonsolid
{	
	qer_editorimage textures/ql/concrete_blue2.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ql/concrete_blue2.tga
		rgbGen identity
		blendFunc filter
	}
}