textures/sfx/ntrl_techfloor_kc_teal
{    
    surfaceparm	metalsteps
	surfaceparm 	alphashadow
	surfaceparm	nomarks	 
	nopicmip
    qer_editorimage textures/sfx/techfloor_kc.tga
    {
		clampmap textures/sfx/fireswirl2blue2.tga
        alphaFunc GE128
		tcmod rotate 360
		rgbgen wave sin .8 .2 0 2
		depthWrite
	}
    {
    clampmap textures/sfx/techfloor2_kc.tga
	blendFunc blend
    tcmod rotate 180
	depthFunc equal
    tcMod stretch sin .8 0.1 0 .4
	rgbGen identity
	}   
	{
		map textures/sfx/techfloor_kc.tga
        blendFunc blend
		depthFunc equal
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
		rgbgen identity
	}
	{
	        map textures/sfx/techfloor_kc_shadow.tga
            blendfunc filter
	        rgbGen identity
	}
}
textures/sfx/portal_new_static_teal
{
	qer_editorimage textures/sfx/portaledge_teal
	surfaceparm nolightmap
	surfaceparm nomarks
	nopicmip
		{
		map textures/sfx/portalnoise.tga
		blendfunc add
		rgbGen identityLighting	
		tcmod scale 1.2 1.2
		tcmod scroll .01 -.11
		rgbgen wave sin 0.95 0.07 0 .85
	}
	{
		map textures/sfx/portal_sfx2.tga
		blendfunc GL_DST_COLOR GL_ZERO
		tcmod scale 1 0.9
		tcMod stretch sin 2.65 0.2 0 0.2
		tcMod turb 1 0.1 0 0.1
		tcMod rotate 360
	}
	{
		map textures/sfx/portal_sfx2.tga
		blendfunc GL_DST_COLOR GL_ZERO
		tcmod scale 1 1
		tcMod stretch sin 2.5 0.1 0 0.2
		tcMod turb 1 -0.1 0 0.1
		tcMod rotate 355
	}
	{
		map textures/sfx/portaledge_teal2.tga
		blendfunc GL_DST_COLOR GL_ZERO
		tcmod scale 0.5 0.5
		tcmod scroll -.01 -0.11
	}
}
textures/sfx/bounce_dkfloor_teal
{
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall_teal.tga	
	q3map_surfacelight 400
	qer_editorimage textures/sfx/bounce_dkfloor.tga
	nopicmip
		{
		map textures/sfx/bounce_dkfloor.tga
		rgbGen identity
		}
		{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_zero
		}
		{
		map textures/sfx/bouncepad01b_layer1_teal.tga
		blendfunc gl_one gl_one
		rgbGen wave sin .5 .5 0 1.5	
		}
		{
		clampmap textures/sfx/jumppadsmall_teal.tga
		blendfunc gl_one gl_one
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
		}
}
textures/sfx/ntrl_techfloor_kc
{    
    surfaceparm	metalsteps
	surfaceparm 	alphashadow
	surfaceparm	nomarks	 
	nopicmip
	polygonOffset 
	sort 6
    qer_editorimage textures/sfx/techfloor_kc.tga
    {
		clampmap textures/sfx/zzztntrl_kc.tga
        alphaFunc GE128
		tcmod rotate 360
		rgbgen wave sin .8 .2 0 2
		depthWrite
	}
    {
        clampmap textures/sfx/techfloor2_kc.tga
		blendFunc blend
        tcmod rotate 180
		depthFunc equal
        tcMod stretch sin .8 0.1 0 .4
	    rgbGen identity
	}  
	{
		map textures/sfx/techfloor_kc.tga
        blendFunc blend
		depthFunc equal
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
		rgbgen identity
	}
	{
	    map textures/sfx/techfloor_kc_shadow.tga
        blendfunc filter
	    rgbGen identity
	}
}
textures/sfx/bounce_skulls
{
	surfaceparm nodamage
	q3map_lightimage textures/sfx/bounce_skulls.jpg
	q3map_surfacelight 400
	nopicmip
	{
		map textures/sfx/bounce_skulls.jpg
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc add
		rgbGen wave sin .5 .5 0 1.5	
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc add
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}
textures/sfx/white_fog
{
	qer_editorimage textures/common/white.tga
	qer_trans .5
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	qer_nocarve
	fogparms ( .4 .4 .4 ) 10000
}
textures/sfx/white
{
	qer_editorimage textures/common/white.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_surfacelight 500
	{
		map textures/common/white.tga
		blendFunc add
	}
}
textures/sfx/portal_new_nonsolid
{
	qer_editorimage textures/sfx/portaledge
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	nopicmip
	{
		map textures/sfx/portalnoise.tga
		blendfunc add
		rgbGen identityLighting	
		tcmod scale 1.2 1.2
		tcmod scroll .01 -.11
		rgbgen wave sin 0.95 0.07 0 .85
	}
	{
		map textures/sfx/portal_sfx2.tga
		blendfunc GL_DST_COLOR GL_ZERO
		tcmod scale 1 0.9
		tcMod stretch sin 2.65 0.2 0 0.2
		tcMod turb 1 0.1 0 0.1
		tcMod rotate 360
	}
	{
		map textures/sfx/portal_sfx2.tga
		blendfunc GL_DST_COLOR GL_ZERO
		tcmod scale 1 1
		tcMod stretch sin 2.5 0.1 0 0.2
		tcMod turb 1 -0.1 0 0.1
		tcMod rotate 355
	}
	{
		map textures/sfx/portaledge.tga
		blendfunc GL_DST_COLOR GL_ZERO
		tcmod scale 0.5 0.5
		tcmod scroll -.01 -0.11
	}
}
textures/sfx/teslacoil3blue
{
	qer_editorimage textures/sfx/teslacoil.tga
	cull none
	q3map_lightimage textures/sfx/tesla1blue.tga	
	q3map_surfacelight 100
	surfaceparm nolightmap
	{
		map textures/sfx/cabletest2.tga
		blendfunc blend
	}
	{
		map textures/sfx/electricslimeblue.tga
		blendfunc add
		rgbGen wave square .25 .25 0 2.5
		tcmod scale 1 1
		tcMod scroll 1 1
	}
	{
		map textures/sfx/tesla1blue.tga
		blendfunc add
		rgbgen wave square 0 1 0 3
		tcmod scale 1 1
		tcMod scroll -2 1
	}
}
textures/sfx/blue_techfloor_kc
{    
    surfaceparm	metalsteps
	surfaceparm 	alphashadow
	surfaceparm	nomarks
	polygonOffset 
	sort 6	 
    qer_editorimage textures/sfx/techfloor_kc.tga
	nopicmip
    {
		clampmap textures/sfx/zzztblue_kc.tga
        alphaFunc GE128
		tcmod rotate 360
		rgbgen wave sin .8 .2 0 2
		depthWrite
	}
    {
        clampmap textures/sfx/techfloor2_kc.tga
		blendfunc blend
        tcmod rotate 180
		depthFunc equal
        tcMod stretch sin .8 0.1 0 .4
	    rgbGen identity
	}  
	{
		map textures/sfx/techfloor_kc.tga
        blendfunc blend
		depthFunc equal
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
		rgbgen identity
	}
	{
	    map textures/sfx/techfloor_kc_shadow.tga
        blendfunc filter
	    rgbGen identity
	}
}
textures/sfx/red_techfloor_kc
{    
    surfaceparm	metalsteps
	surfaceparm 	alphashadow
	surfaceparm	nomarks	 
	polygonOffset 
	sort 6
    qer_editorimage textures/sfx/techfloor_kc.tga
	nopicmip
	{
		clampmap textures/sfx/zzztred_kc.tga
        alphaFunc GE128
		tcmod rotate 360
		rgbgen wave sin .8 .2 0 2
		depthWrite
	}
    {
        clampmap textures/sfx/techfloor2_kc.tga
		blendfunc blend
        tcmod rotate 180
		depthFunc equal
        tcMod stretch sin .8 0.1 0 .4
	     rgbGen identity
	} 
	{
		map textures/sfx/techfloor_kc.tga
        blendfunc blend
		depthFunc equal
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		depthFunc equal
		rgbgen identity
	}
	{
	    map textures/sfx/techfloor_kc_shadow.tga
        blendfunc filter
	    rgbGen identity
	}
}
textures/sfx/xmetalfloor_wall_15y
{
	qer_editorimage textures/base_wall/metalfloor_wall_15.jpg
	q3map_lightimage textures/sfx/metalfloor_wall_14bglowy.jpg
	q3map_surfacelight 50
	{
		map textures/base_wall/metalfloor_wall_15.jpg
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/sfx/metalfloor_wall_14bglowy.jpg
		blendfunc add
	}
}
textures/sfx/fog_orange
{
		qer_editorimage textures/sfx/fog_orange.tga
		surfaceparm	trans
		surfaceparm	nonsolid
		surfaceparm	fog
		surfaceparm	nolightmap
		q3map_surfacelight 100
		fogparms ( .75 .38 0 ) 350
}
textures/sfx/bounce_blue
{
	qer_editorimage textures/sfx/qer_bounce_blue.tga
	q3map_lightimage textures/sfx/bounce_fx_blue.tga
	q3map_surfacelight 400
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm trans
	nopicmip
	{
		map textures/sfx/bounce_base.tga
		rgbGen identity
		alphaFunc GE128
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		depthFunc equal
	}
	{
		map textures/sfx/bounce_glow_blue.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1.5
	}
	{
		clampmap textures/sfx/bounce_fx_blue.tga
		blendfunc add
		tcMod stretch sin 1.2 0.8 0 1.5
		rgbGen wave square 0.5 0.5 0.25 1.5
	}
	{
		map textures/sfx/bounce_shadow.tga
		blendfunc filter
		rgbGen identity
	}
}
textures/sfx/bounce_red
{
	qer_editorimage textures/sfx/qer_bounce_red.tga
	q3map_lightimage textures/sfx/bounce_fx_red.tga
	q3map_surfacelight 400
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm trans
	nopicmip
	{
		map textures/sfx/bounce_base.tga
		rgbGen identity
		alphaFunc GE128
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		depthFunc equal
	}
	{
		map textures/sfx/bounce_glow_red.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1.5
	}
	{
		clampmap textures/sfx/bounce_fx_red.tga
		blendfunc add
		tcMod stretch sin 1.2 0.8 0 1.5
		rgbGen wave square 0.5 0.5 0.25 1.5
	}
	{
		map textures/sfx/bounce_shadow.tga
		blendfunc filter
		rgbGen identity
	}
}
textures/sfx/zap_scrollblue1000
{
    q3map_surfacelight	1000
    surfaceparm	trans
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_lightimage textures/sfx/zap_scrollblue.tga
	qer_editorimage textures/sfx/zap_scroll2blue.tga
	cull none
	{
		map textures/sfx/zap_scrollblue.tga
		blendfunc add
        rgbgen wave triangle .8 2 0 7
        tcMod scroll 0 1
	}	
    {
		map textures/sfx/zap_scrollblue.tga
		blendfunc add
        rgbgen wave triangle 1 1.4 0 5
        tcMod scale  -1 1
        tcMod scroll 0 1
	}	
    {
		map textures/sfx/zap_scroll2blue.tga
		blendfunc add
        rgbgen wave triangle 1 1.4 0 6.3
        tcMod scale  -1 1
        tcMod scroll 2 1
	}	
    {
		map textures/sfx/zap_scroll2blue.tga
		blendfunc add
        rgbgen wave triangle 1 1.4 0 7.7
        tcMod scroll -1.3 1
	}	
}
textures/sfx/bounce_largeblock3b3dim
{
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga	
	q3map_surfacelight 400
	nopicmip
	{
		map textures/sfx/bounce_largeblock3b3dim.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc add
		rgbGen wave sin .5 .5 0 1.5	
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc add
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}
textures/sfx/bounce_dirt2
{
	surfaceparm nodamage
	q3map_lightimage textures/sfx/bounce_dirt2.jpg
	q3map_surfacelight 400
	nopicmip
	{
		map textures/sfx/bounce_dirt2.jpg
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc add
		rgbGen wave sin .5 .5 0 1.5	
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc add
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}
textures/sfx/wall_jump
{
	qer_editorimage textures/sfx/wall_jump.tga
	{
		map textures/sfx2/rlaunch3.tga
		rgbGen identity
		tcmod scale 1 .5
		tcmod scroll 0 1.42
	}
	{
		map textures/sfx/wall_jump.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}	
}
textures/sfx/wall_jump_blue
{
	qer_editorimage textures/sfx/wall_jump.tga
	{
		map textures/sfx2/rlaunch3_blue.tga
		rgbGen identity
		tcmod scale 1 .5
		tcmod scroll 0 1.42
	}
	{
		map textures/sfx/wall_jump.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}	
}
textures/sfx/portal_new_static
{
	qer_editorimage textures/sfx/portaledge
	surfaceparm nolightmap
	surfaceparm nomarks
	nopicmip
	{
		map textures/sfx/portalnoise.tga
		blendfunc add
		rgbGen identityLighting	
		tcmod scale 1.2 1.2
		tcmod scroll .01 -.11
		rgbgen wave sin 0.95 0.07 0 .85
	}
	{
		map textures/sfx/portal_sfx2.tga
		blendfunc filter
		tcmod scale 1 0.9
		tcMod stretch sin 2.65 0.2 0 0.2
		tcMod turb 1 0.1 0 0.1
		tcMod rotate 360
	}
	{
		map textures/sfx/portal_sfx2.tga
		blendfunc filter
		tcmod scale 1 1
		tcMod stretch sin 2.5 0.1 0 0.2
		tcMod turb 1 -0.1 0 0.1
		tcMod rotate 355
	}
	{
		map textures/sfx/portaledge.tga
		blendfunc filter
		tcmod scale 0.5 0.5
		tcmod scroll -.01 -0.11
	}
}
textures/sfx/portal_opaque_static
{
	qer_editorimage textures/sfx/portalnoise.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 100
	nopicmip
    {
		map textures/liquids/pool3d_3e.tga
        tcGen environment
        rgbGen identity
		rgbgen wave sin .25 0 0 0
		tcmod scale 2 1
		tcMod scroll .05 .05
	}
	{
		map textures/sfx/portalnoise.tga
		blendfunc add
		tcmod scale 0.6 0.5
		tcmod scroll .01 -.08
		rgbgen wave sin 0.5 0.07 0 .2
	}
	{
		map textures/sfx/portalnoise.tga
		blendfunc add
		tcmod scale 0.48 0.46
		tcmod scroll .008 -.18
		rgbgen wave sin 0.7 0.07 0 .25
	}	
	{
		map textures/sfx/portalnoise.tga 
		blendfunc add
		rgbgen wave sin 0.35 .04 0 .3
		tcmod scale .27 .25
		tcmod scroll -.01 -0.2
	}
}
textures/sfx/wall_jump_blue_trim
{
	qer_editorimage textures/sfx/wall_jump_trim.tga
	{
		map textures/sfx2/rlaunch3_blue_trim.tga
		rgbGen identity
		tcmod scale 1 .5
		tcmod scroll 0 1.42
	}
	{
		map textures/sfx/wall_jump_trim.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}	
}
textures/sfx/xian_dm3padwall_light
{
	q3map_surfacelight 100
	q3map_lightsubdivide 64
	q3map_lightimage textures/sfx/xian_dm3padwallglow.tga
	qer_editorimage textures/sfx/xian_dm3padwall.tga
	{
		map textures/sfx/xian_dm3padwall.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/sfx/xian_dm3padwallglow.tga
		blendfunc add
		rgbgen wave sin 0 1 0 .5
		tcmod scale 1 .05
		tcmod scroll 0 1
	}
}
textures/sfx/zap_scrollblue1000_delirium
{
    q3map_surfacelight	1000
    surfaceparm	trans
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_lightimage textures/sfx/zap_scrollblue.tga
	qer_editorimage textures/sfx/zap_scroll2blue.tga
	cull none
	{
		map textures/sfx/zap_scrollblue.tga
		blendFunc GL_ONE GL_ONE
        rgbgen wave triangle .8 2 0 7
		tcMod scale  2 2
        tcMod scroll 0 0.5
	}	
    {
		map textures/sfx/zap_scroll2blue.tga
		blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1 1.4 0 6.3
        tcMod scale  -2 2
        tcMod scroll 2 0.5
	}	
    {
		map textures/sfx/zap_scroll2blue.tga
		blendFunc GL_ONE GL_ONE
        rgbgen wave triangle 1 1.4 0 7.7
		tcMod scale  2 2
        tcMod scroll -1.3 0.5
	}	
}
textures/sfx/portal_delirium_red
{
	qer_editorimage textures/bst_delirium/portaledge_delirium_red.jpg
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	{
		map textures/bst_delirium/portalnoise_delirium.jpg
		blendfunc add
		rgbGen identityLighting	
		tcmod scale 1.2 1.2
		tcmod scroll .01 -.11
		rgbgen wave sin 0.95 0.07 0 .85
	}
	{
		map textures/sfx/portal_sfx2.tga
		blendfunc GL_DST_COLOR GL_ZERO
		tcmod scale 1 0.9
		tcMod stretch sin 2.65 0.2 0 0.2
		tcMod turb 1 0.1 0 0.1
		tcMod rotate 360
	}
	{
		map textures/sfx/portal_sfx2.tga
		blendfunc GL_DST_COLOR GL_ZERO
		tcmod scale 1 1
		tcMod stretch sin 2.5 0.1 0 0.2
		tcMod turb 1 -0.1 0 0.1
		tcMod rotate 355
	}
	{
		map textures/bst_delirium/portaledge_delirium_red.jpg
		blendfunc GL_DST_COLOR GL_ZERO
		tcmod scale 0.5 0.5
		tcmod scroll -.01 -0.11
	}
}
textures/sfx/portal_new_nonsolid_teal
{
	qer_editorimage textures/sfx/portaledge_teal
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	nopicmip
	{
		map textures/sfx/portalnoise.tga
		blendfunc add
		rgbGen identityLighting	
		tcmod scale 1.2 1.2
		tcmod scroll .01 -.11
		rgbgen wave sin 0.95 0.07 0 .85
	}
	{
		map textures/sfx/portal_sfx2.tga
		blendfunc filter
		tcmod scale 1 0.9
		tcMod stretch sin 2.65 0.2 0 0.2
		tcMod turb 1 0.1 0 0.1
		tcMod rotate 360
	}
	{
		map textures/sfx/portal_sfx2.tga
		blendfunc filter
		tcmod scale 1 1
		tcMod stretch sin 2.5 0.1 0 0.2
		tcMod turb 1 -0.1 0 0.1
		tcMod rotate 355
	}
	{
		map textures/sfx/portaledge_teal2.tga
		blendfunc filter
		tcmod scale 0.5 0.5
		tcmod scroll -.01 -0.11
	}
}
textures/sfx/bounce_metalbridge05
{
	qer_editorimage textures/sfx/bounce_metalbridge05.tga
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga	
	q3map_surfacelight 400
	nopicmip
	{
		map textures/sfx/bounce_metalbridge05.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc add
		rgbGen wave sin .5 .5 0 1.5	
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc add
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}
textures/sfx/fog_qzdm4
{
	qer_editorimage textures/sfx/fog_yel.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	fogparms ( .615 .309 0 ) 1700
}
textures/sfx/clangdark_bounce_r
{
	surfaceparm nodamage
	qer_editorimage textures/sfx/clangdark_bounce.tga
	q3map_lightimage textures/sfx/bounce_fx_red.tga	
	q3map_surfacelight 400
	nopicmip
	{
		map textures/sfx/clangdark_bounce.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/sfx/bounce_glow_red.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1.5
	}
	{
		clampmap textures/sfx/bounce_fx_red.tga
		blendfunc add
		tcMod stretch sin 1.2 0.8 0 1.5
		rgbGen wave square 0.5 0.5 0.25 1.5
	}
}
textures/sfx/hellfog_foolish
{
	qer_editorimage textures/sfx/fog_red.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm 	nodrop
	surfaceparm 	nolightmap
	q3map_globaltexture
	q3map_surfacelight 100
	fogparms ( .55 .11 .1 ) 1024
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc filter
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc filter
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}
textures/shw/panel_01_05_nofx
{      
	qer_editorimage textures/shw/panel_01_05.tga
    surfaceparm	metalsteps	   
	{
		map $lightmap
		rgbGen identity
	}	
    {
		map textures/shw/panel_01_05.tga
		blendfunc filter
	}
}
textures/sfx/bounce_neutral
{
	qer_editorimage textures/sfx/qer_bounce.tga
	q3map_lightimage textures/sfx/bounce_fx.tga
	q3map_surfacelight 400
	surfaceparm nodamage
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	polygonOffset
	qer_trans 0.5
	sort 6
	nopicmip
	{
		map textures/sfx/bounce_base.tga
		rgbGen identity
		alphaFunc GE128
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		depthFunc equal
	}
	{
		map textures/sfx/bounce_glow.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 1.5
	}
	{
		clampmap textures/sfx/bounce_fx.tga
		blendfunc add
		tcMod stretch sin 1.2 0.8 0 1.5
		rgbGen wave square 0.5 0.5 0.25 1.5
	}
	{
		map textures/sfx/bounce_shadow.tga
		blendfunc filter
		rgbGen identity
	}
}
textures/sfx/beam_red2
{
	surfaceparm trans	
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans .5
	cull none
	nopicmip
	{
		map textures/sfx/beam_red2.tga
		tcMod Scroll .3 0
		blendfunc add
	}
}
textures/sfx/water_reflection
{
	qer_editorimage textures/sfx/water_reflection.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	deformVertexes wave 64 sin .25 .25 0 .5
	{ 
		map textures/sfx/water_reflection.tga
		blendfunc add
		rgbgen identity
		tcmod scale 1.1 .7
		tcMod turb 0.5 0.03 0 0.12
		tcmod scroll .027 .0
	}
	{ 
		map textures/sfx/water_reflection.tga
		blendfunc add
		tcmod scale 1.2 0.9
		tcMod turb 0 0.05 0 0.1
		tcmod scroll -.016 .0
	}
}
textures/sfx/dirt
{
	qer_editorimage textures/sfx/dirt.tga
	surfaceparm trans
	surfaceparm nonsolid
	cull disable
	nopicmip
	deformVertexes wave 64 sin .25 .25 0 .5	
	{ 
		map textures/sfx/dirt.tga
		blendfunc blend
		rgbGen wave sin 1 .05 0 .75
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
}
textures/sfx/portal_new
{
	qer_editorimage textures/sfx/portaledge
	surfaceparm nolightmap
	surfaceparm nomarks
	portal
	nopicmip
	{
		map textures/sfx/portalnoise.tga
		blendfunc blend
		alphagen portal 400
		rgbGen identityLighting	
		tcmod scale 1.2 1.2
		tcmod scroll .01 -.11
	}

	{
		map textures/sfx/portaledge.tga
		blendfunc filter
		tcmod scale 0.5 0.5
		tcmod scroll -.01 -0.11
	}
	{
		map textures/sfx/portalnoise.tga 
		blendfunc add
		rgbgen wave sin 0.08 .04 0 .5
		tcmod scale -.05 -.05
		tcmod scroll -.01 -0.2
	}
	{
		map textures/common/white.tga
		blendfunc blend
		depthWrite
	}
}
textures/sfx/energyjump/
{
	surfaceparm nodamage
	q3map_lightimage textures/sfx/sq_smalljump1.tga
	q3map_surfacelight 150
	qer_editorimage textures/sfx/energy_pad_04.tga
	nopicmip
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		clampmap textures/sfx/energy_pad_01.tga
		blendfunc add
		tcMod stretch sin 1.0 .1 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
	{
		map textures/sfx/energy_pad_02.tga
		blendfunc add
		rgbGen wave sin .5 .5 0.25 1	
	}
	{
		map textures/sfx/energy_pad_03.tga
		blendfunc add
		rgbGen wave sin .5 .5 0.5 1
	}
	{
		map textures/sfx/energy_pad_04.tga
		blendfunc add
		rgbGen wave sin .5 .5 0.75 1	
	}
	{
		map textures/sfx/energy_pad_04.blend.tga
		rgbGen wave sin 0 .5 0.75 1	
		blendfunc add
	}
}
textures/sfx/team4water_fog
{
	qer_editorimage textures/sfx/fog_green.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	fogparms ( .185 .231 .094 ) 1050
	{
		map textures/liquids/pdfogcloud.tga
		blendfunc filter
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map textures/liquids/pdfogcloud.tga
		blendfunc filter
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}
textures/sfx/fog_leviathan_150
{
	qer_editorimage textures/sfx/fog_grey.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm nodrop
	surfaceparm nolightmap
	q3map_globaltexture
	fogparms ( .8 .8 .8 ) 150
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc filter
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc filter
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}
textures/sfx/bouncepad_concrete_dark
{
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga	
	q3map_surfacelight 400
	nopicmip
	{
		map textures/sfx/bouncepad_concrete_dark.jpg
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc add
		rgbGen wave sin .5 .5 0 1.5	
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc add
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}
textures/sfx/xmetalfloor_wall_14_red
{
	qer_editorimage textures/base_wall/metalfloor_wall_15.jpg
	q3map_lightimage textures/sfx/metalfloor_wall_14bglow_red.jpg
	q3map_surfacelight 50
	{
		map textures/base_wall/metalfloor_wall_15.jpg
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/sfx/metalfloor_wall_14bglow_red.jpg
		blendfunc add
	}
}
textures/sfx/launchpad_concrete
{
	nopicmip
	{
		map $lightmap
		rgbGen identity
	}
	{ 
		map textures/sfx/launchpad_concrete.jpg
		rgbGen identity
		blendfunc filter
	}
	{	
		map textures/sfx/launchpad_dot.tga
		blendfunc add	
		rgbgen wave inversesawtooth 0 1 0 1	
	}
	{ 
		animmap 4 textures/sfx/launchpad_arrow.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga
		blendfunc add
		tcmod scroll 0 2
	}
}
textures/sfx/black-phrantic
{
	qer_editorimage textures/common/invisible.tga
	surfaceparm nolightmap
	{
		map textures/common/invisible.tga
	}
}
textures/sfx/teslacoil-phrantic
{
	cull none
	q3map_lightimage textures/sfx/tesla1.tga	
	qer_editorimage textures/sfx/cabletest2.tga
	q3map_surfacelight 100
	{
		map textures/skies/meth_clouds.tga
		blendfunc add
		rgbgen wave sawtooth 0.7 0.2 0 5
		tcmod scale 1 .5
		tcmod turb 0 .1 0 1
		tcMod scroll -1 -1
	}
	{
		map textures/sfx/tesla1.tga
		blendfunc add
		rgbgen wave sin 0 .5 0 1
		tcmod scale .5 .5
		tcmod turb 0 .1 0 1
		tcmod rotate 180
		tcmod scroll -1 -1
	}
}
textures/sfx/portal_new_static_navy
{
	qer_editorimage textures/sfx/portaledge_navy.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	nopicmip
	{
		map textures/sfx/portalnoise.tga
		blendfunc add
		rgbGen identityLighting	
		tcmod scale 1.2 1.2
		tcmod scroll .01 -.11
		rgbgen wave sin 0.95 0.07 0 .85
	}
	{
		map textures/sfx/portal_sfx2.tga
		blendfunc filter
		tcmod scale 1 0.9
		tcMod stretch sin 2.65 0.2 0 0.2
		tcMod turb 1 0.1 0 0.1
		tcMod rotate 360
	}
	{
		map textures/sfx/portal_sfx2.tga
		blendfunc filter
		tcmod scale 1 1
		tcMod stretch sin 2.5 0.1 0 0.2
		tcMod turb 1 -0.1 0 0.1
		tcMod rotate 355
	}
	{
		map textures/sfx/portaledge_navy2.tga
		blendfunc filter
		tcmod scale 0.5 0.5
		tcmod scroll -.01 -0.11
	}
}
textures/sfx/portal_new_static_red
{
	qer_editorimage textures/sfx/portaledge_red.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	nopicmip
	{
		map textures/sfx/portalnoise.tga
		blendfunc add
		rgbGen identityLighting	
		tcmod scale 1.2 1.2
		tcmod scroll .01 -.11
		rgbgen wave sin 0.95 0.07 0 .85
	}
	{
		map textures/sfx/portal_sfx2.tga
		blendfunc filter
		tcmod scale 1 0.9
		tcMod stretch sin 2.65 0.2 0 0.2
		tcMod turb 1 0.1 0 0.1
		tcMod rotate 360
	}
	{
		map textures/sfx/portal_sfx2.tga
		blendfunc filter
		tcmod scale 1 1
		tcMod stretch sin 2.5 0.1 0 0.2
		tcMod turb 1 -0.1 0 0.1
		tcMod rotate 355
	}
	{
		map textures/sfx/portaledge_red2.tga
		blendfunc filter
		tcmod scale 0.5 0.5
		tcmod scroll -.01 -0.11
	}
}
textures/sfx/qztourney2_fog
{
	qer_editorimage textures/sfx/fog_red.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm 	nodrop
	surfaceparm 	nolightmap
	q3map_globaltexture
	q3map_surfacelight 200
	q3map_lightsubdivide 92
	fogparms ( .5 .12 .1 ) 225
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc filter
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc filter
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}
textures/sfx/healthfloor_shiny
{
	qer_editorimage textures/sfx/healthfloor_shiny.tga
	nopicmip
    {
		map textures/sfx/proto_zzztblu2.tga
        tcmod scroll 0 1
        tcMod turb 0 .25 0 1.6
        tcmod scale 2 2
        blendfunc GL_ONE GL_ZERO
        rgbGen identity
	}
    {
	    clampmap textures/gothic_block/blocks18cgeomtrn2.tga
        blendfunc blend
        tcmod rotate 130
        tcMod stretch sin .8 0.2 0 .2
	    rgbGen identity
	}
    {
	    clampmap textures/gothic_block/blocks18cgeomtrn2.tga
		blendfunc blend
        tcmod rotate 80
        tcMod stretch sin .8 0.2 0 .1
	    rgbGen identity
	}
	{
	    clampmap textures/sfx/healthfloor_shiny.tga
		blendfunc blend
	    rgbGen identity
	}
	{
        map textures/effects/tinfx_alphatest.tga //**60 percent fill on alpha channel**
		blendfunc blend
        tcGen environment
        rgbGen identity
	}   
    {
		map $lightmap
        blendfunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}
textures/sfx/white_fog4
{
	qer_editorimage textures/common/white.tga
	qer_trans .5
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	qer_nocarve
	fogparms ( .75 .38 0 ) 40000
}
textures/sfx/fanfx_ccw
{
	qer_editorimage textures/sfx/fanfx.tga
    surfaceparm nolightmap
    surfaceparm trans	
    surfaceparm nomarks	
	cull none
    nopicmip
	polygonOffset
	nomipmaps
	sort 6
	{
		clampmap textures/sfx/fanfx.tga
		tcMod rotate -256
		blendfunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
		rgbGen exactVertex
        depthWrite
	}
}
textures/sfx/acid_drip
{
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans .5
	cull none
	{
		map textures/sfx/acid_drip.tga
		tcMod Scroll 0 -1
		blendfunc add
    	}
}
textures/sfx/glow_orange_03_autosprite
{
	qer_editorimage textures/sfx/glow_orange_03.tga	
	q3map_surfacelight 5
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	deformVertexes autosprite
	qer_trans 0.70
	nopicmip
	{
		map textures/sfx/glow_orange_03.tga	
		rgbGen wave sin .85 .15 0 .5	
		blendfunc add
	}
}
textures/sfx/glow_orange_02
{
	q3map_surfacelight 10
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	nopicmip
	{
		map textures/sfx/glow_orange_02.tga	
		rgbGen wave sin .85 .15 0 .5	
		blendfunc add
	}
}
textures/se_gothic/wagon_wheel
{
	surfaceparm trans		
	surfaceparm nonsolid
	surfaceparm	metalsteps
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
    nopicmip
	{
		map textures/se_gothic/wagon_wheel.tga
		blendfunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}
textures/sfx/glow_orange_01
{
	q3map_surfacelight 20
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	nopicmip
	{
		map textures/sfx/glow_orange_01.tga	
		rgbGen wave sin .85 .15 0 .5	
		blendfunc add
	}
}
textures/sfx/portal_orange
{
	qer_editorimage textures/sfx/portal_orange
	surfaceparm nolightmap
	surfaceparm nomarks
	nopicmip
	{
		map textures/sfx/portal_orange.add.tga
		blendfunc add
		rgbGen identityLighting	
		tcmod scale 1.2 1.2
		tcmod scroll .01 -.11
		rgbgen wave sin 0.95 0.07 0 .85
	}
	{
		map textures/sfx/portal_sfx2.tga
		blendfunc filter
		tcmod scale 1 0.9
		tcMod stretch sin 2.65 0.2 0 0.2
		tcMod turb 1 0.1 0 0.1
		tcMod rotate 360
	}
	{
		map textures/sfx/portal_sfx2.tga
		blendfunc filter
		tcmod scale 1 1
		tcMod stretch sin 2.5 0.1 0 0.2
		tcMod turb 1 -0.1 0 0.1
		tcMod rotate 355
	}
	{
		map textures/sfx/portal_orange.filter.tga
		blendfunc add
		tcmod scale 0.5 0.5
		tcmod scroll -.01 -0.11
	}
}
textures/sfx/lightbeam_02_blue
{
	surfaceparm nomarks
	q3map_surfacelight 300
	q3map_lightsubdivide 32
	q3map_lightimage textures/sfx/lb_beam_02_blend.tga
	qer_editorimage textures/sfx/lb_beam_01.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/sfx/lb_beam_01.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/sfx/lb_beam_02_blend.tga
		blendfunc add
	}
}
textures/sfx/tesla1_nonsolid
{
	qer_editorimage textures/sfx/tesla1.tga
	cull none
	deformVertexes wave 100 triangle 0 5 1 1
	surfaceparm nolightmap
	surfaceparm nonsolid
	{
		map textures/sfx/tesla1.tga
		blendfunc add
		rgbGen wave sin .5 0 0 0
		tcMod scroll 5 5
		
	}
}
textures/sfx/fan_terminatria
{
	surfaceparm trans
	surfaceparm nomarks
	cull none
	nopicmip
	qer_editorimage textures/bst_tech/fan_grey.tga
	{
		clampmap textures/bst_tech/fan_grey.tga
		tcMod rotate 256 
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/sfx/beam_narrow
{
	sort 16
	qer_editorimage textures/sfx/beam_narrow.jpg
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	cull disable
	deformVertexes autosprite2
	{
		clampmap textures/sfx/beam_narrow.jpg
		blendfunc add
	}
}
textures/sfx/fanblade_cw
{
	qer_editorimage textures/sfx/fan3bladeb.tga
    cull disable
    surfaceparm trans	
    surfaceparm nolightmap
	nopicmip
    sort 5
    {
	    clampmap textures/sfx/fan3bladeb.tga
        blendfunc blend
        tcmod rotate 999
	    rgbGen identity
	}    
}
textures/sfx/wall_jump_nolight
{
	qer_editorimage textures/sfx/wall_jump.tga
	{
		map textures/sfx/wall_jump.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}	
}
textures/sfx/border11c_red
{
	q3map_surfacelight 300
	q3map_lightimage textures/base_trim/border11c_pulse1r.tga
	qer_editorimage textures/base_trim/border11c.tga	
	{
		map textures/base_trim/border11c.tga
		rgbGen identity
	}	
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/base_trim/border11c_light.tga
		blendfunc add
		rgbgen wave sin 1 .1 0 5
	}
	{
		map textures/base_trim/border11c_pulse1r.tga
		blendfunc add
		tcmod scale .035 1
		tcmod scroll -0.65 0
	}
}
textures/sfx/flare
{
	qer_editorimage textures/sfx/flare.tga	
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none	
	{
		Map textures/sfx/flare.tga
		blendFunc GL_ONE GL_ONE
	}		
}
textures/sfx/launchpad_arrow
{
	nopicmip
	{ 
		animmap 4 textures/sfx/launchpad_arrow.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga textures/sfx/launchpad_arrow2.tga
		blendfunc add
		tcmod scroll 0 2
	}
}
textures/sfx/jp_01_alpha_teal
{
	surfaceparm nodamage
	qer_editorimage textures/sfx/bounce_base.tga
	q3map_surfacelight 400
	q3map_lightimage textures/sfx/bouncepad01b_layer1_teal.tga
	polygonOffset 
	qer_trans 0.5 
	sort 6 
	{
		map textures/sfx/bounce_base.tga
		blendfunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
	{
		map textures/sfx/bouncepad01b_layer1_teal.tga
		blendfunc add
		rgbGen wave sin .5 .5 0 1.5	
	}

	{
		clampmap textures/sfx/jumppadsmall_teal.tga
		blendfunc add
		tcMod stretch sin 1.2 .8 0 1.5
		rgbGen wave square .5 .5 .25 1.5
	}
}