textures/intel/jumppad_dust
{
	qer_editorimage textures/focal/marker_dust.tga
	surfaceparm nolightmap
	surfaceparm	trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.9
	cull none
	nopicmip
   {
		map textures/focal/marker_dust.tga
		blendfunc add
		rgbGen wave sin 0.7 0.3 0.5 0.1
		tcMod scroll 0.25 0
	}
	{
		map textures/focal/stars.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
		tcmod scale 2 0.5
		tcMod Scroll 0.2 -0.15
	}
	{
		map textures/focal/stars.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
		tcmod scale 3 0.15
		tcMod Scroll -0.2 -0.15
		detail
	}
}
textures/intel/circuit_wall_specular_glow_pulse
{
	qer_editorimage textures/base_wall/metalfloor_wall_16.tga
	{
		map $lightmap
		rgbgen identity      
	}
	{
		map textures/base_wall/metalfloor_wall_16_specular.tga
		blendfunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
	{
		map textures/intel/circuit_wall_specular_glow.blend.tga
		rgbGen wave sin 0 0.5 0 0.25
		blendfunc add
	}
}
textures/intel/jumppad_dust_outer
{
	qer_editorimage textures/focal/marker_dust.tga
	surfaceparm nolightmap
	surfaceparm	trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.9
	cull none
	nopicmip
	{
		map textures/focal/stars_motion.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
		tcmod scale 2 0.25
		tcMod Scroll -0.05 -0.2
	}
	{
		map textures/focal/stars.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
		tcmod scale 3 0.15
		tcMod Scroll -0.2 -0.15
		detail
	}
}
textures/intel/circuit_yellow_glow
{
	qer_editorimage textures/intel/circuit_yellow.tga
	q3map_surfacelight 100
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/intel/circuit_yellow.tga
		blendfunc filter
	}
	{
		map textures/intel/circuit_yellow.blend.tga
		rgbGen wave sin 1.0 0.5 0 0.25
		blendfunc add
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	    rgbGen wave sin .15 0 0 0
		blendfunc add
	}
}
textures/intel/circuit_wall_specular_glow
{
	qer_editorimage textures/base_wall/metalfloor_wall_16.tga
	{
		map $lightmap
		rgbgen identity      
	}
	{
		map textures/base_wall/metalfloor_wall_16_specular.tga
		blendfunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
	{
		map textures/intel/circuit_wall_specular_glow.blend.tga
		blendfunc add
	}
}
textures/intel/lamp_02_decal_5k
{	
    qer_editorimage textures/ct_ct3t3/item_marker_01.tga
	surfaceparm nonsolid
	q3map_surfacelight 5000
	polygonOffset
	qer_trans 0.95
	sort 6
	nopicmip
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ct_ct3t3/item_marker_01.tga
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/intel/item_marker_01.blend.tga
		blendfunc add
	}
}
textures/intel/lamp_01_decal_45
{
	qer_editorimage textures/ct_ct3t3/lamp_01.tga
	surfaceparm nonsolid
	q3map_backSplash 0.025 32
	q3map_surfacelight 2000
	polygonOffset
	qer_trans 0.95
	sort 6
	nopicmip
	{

		map $lightmap
		rgbGen identity
	}
	{
		map textures/ct_ct3t3/lamp_01.tga
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/intel/lamp_01.blend.tga
		blendfunc add
	}
}
textures/intel/circuit_blue_glow_trans
{
	qer_editorimage textures/intel/circuit_blue.tga
	q3map_surfacelight 100
	surfaceparm trans	
	cull none
	{
		map textures/intel/circuit_blue.tga
		blendfunc add
	}
	{
		map textures/intel/circuit_blue.blend.tga
		rgbGen wave sin 0.75 0.75 0 0.25
		blendfunc add
	}
}
textures/intel/lamp_02_decal_2k
{	
    qer_editorimage textures/ct_ct3t3/item_marker_01.tga
	surfaceparm nonsolid
	q3map_surfacelight 2000
	polygonOffset
	qer_trans 0.95
	sort 6
	nopicmip
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ct_ct3t3/item_marker_01.tga
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/intel/item_marker_01.blend.tga
		blendfunc add
	}
}
textures/intel/intel_logo_black
{
	surfaceparm nomarks 
	surfaceparm nonsolid
	surfaceparm trans 
	polygonOffset
	qer_trans 0.5
	sort 6
	nopicmip
	{
		map textures/intel/intel_logo_black.tga
		blendfunc filter
	} 
}
textures/intel/intel_logo_white_blend
{
    qer_editorimage textures/intel/intel_logo_white.blend.tga
	surfaceparm trans 
	surfaceparm nomarks 
	surfaceparm nonsolid
	polygonOffset
	qer_trans 0.5
	sort 6
	nopicmip
	{
		map textures/intel/intel_logo_white.blend.tga
		blendfunc add
	} 
}
textures/intel/lamp_01_decal
{
	qer_editorimage textures/ct_ct3t3/lamp_01.tga
	surfaceparm nonsolid
	q3map_surfacelight 2000
	polygonOffset
	qer_trans 0.95
	sort 6
	nopicmip
	{

		map $lightmap
		rgbGen identity
	}
	{
		map textures/ct_ct3t3/lamp_01.tga
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/intel/lamp_01.blend.tga
		blendfunc add
	}
}
textures/intel/unlocked_2x1
{   
	surfaceparm nomarks
    nopicmip
	{
		map textures/intel/unlocked_2x1.jpg
  	}
	{
		map $lightmap
	    rgbGen identity
		blendfunc filter
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	    rgbGen wave sin .15 0 0 0
		blendfunc add
	}
}
textures/intel/lamp_02_decal_1k
{	
    qer_editorimage textures/ct_ct3t3/item_marker_01.tga
	surfaceparm nonsolid
	q3map_surfacelight 1000
	polygonOffset
	qer_trans 0.95
	sort 6
	nopicmip
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ct_ct3t3/item_marker_01.tga
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/intel/item_marker_01.blend.tga
		blendfunc add
	}
}
textures/intel/lamp_02_cracked_decal_1k
{	
    qer_editorimage textures/ct_ct3t3/item_marker_01_cracked.tga
	surfaceparm nonsolid
	q3map_surfacelight 1000
	polygonOffset
	qer_trans 0.95
	sort 6
	nopicmip
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ct_ct3t3/item_marker_01_cracked.tga
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/intel/item_marker_01.blend.tga
		blendfunc add
	}
}
textures/intel/lamp_02_cracked_decal_5k
{
    qer_editorimage textures/ct_ct3t3/item_marker_01_cracked.tga
	surfaceparm nonsolid
	q3map_surfacelight 5000
	polygonOffset
	qer_trans 0.95
	sort 6
	nopicmip
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ct_ct3t3/item_marker_01_cracked.tga
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/intel/item_marker_01.blend.tga
		blendfunc add
	}
}
textures/intel/trim_03_nonsolid
{	
	qer_editorimage textures/intel/trim_03.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	
	}
	{
		map textures/intel/trim_03.tga
		rgbGen identity
		blendFunc filter	
	}
}
textures/intel/trim_02l_nonsolid
{	
	qer_editorimage textures/intel/trim_02l.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/intel/trim_02l.tga
		rgbGen identity
		blendFunc filter
	}
}
textures/intel/ssd730_2x1
{   
	surfaceparm nomarks
    nopicmip
	{
		map textures/intel/ssd730_2x1.jpg
  	}
	{
		map $lightmap
	    rgbGen identity
		blendfunc filter
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	    rgbGen wave sin .15 0 0 0
		blendfunc add
	}
}
textures/intel/ssd730_1x1
{   
	surfaceparm nomarks
    nopicmip
	{
		map textures/intel/ssd730_1x1.jpg
  	}
	{
		map $lightmap
	    rgbGen identity
		blendfunc filter
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	    rgbGen wave sin .15 0 0 0
		blendfunc add
	}
}
textures/intel/sky
{
	qer_editorimage textures/ct_ct3ctf2/env/sky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 100
	surfaceparm sky
	q3map_sunExt 1 .9 .9 100 320 70 3 16
	skyparms - 256 -
	{
		map textures/ct_ct3ctf2/env/sky.tga
		tcMod scroll 0.005 0.005
		tcMod scale 4 4
		depthWrite
	}
}
textures/intel/lamp_02_5k
{
    qer_editorimage textures/ct_ct3t3/item_marker_01.tga
	q3map_surfacelight 5000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ct_ct3t3/item_marker_01.tga
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/intel/item_marker_01.blend.tga
		blendfunc add
	}
}
textures/intel/lamp_02_2k
{
    qer_editorimage textures/ct_ct3t3/item_marker_01.tga
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ct_ct3t3/item_marker_01.tga
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/intel/item_marker_01.blend.tga
		blendfunc add
	}
}
textures/intel/lamp_02_cracked_1k
{
    qer_editorimage textures/ct_ct3t3/item_marker_01_cracked.tga
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ct_ct3t3/item_marker_01_cracked.tga
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/intel/item_marker_01.blend.tga
		blendfunc add
	}
}
textures/intel/lamp_01_1k_trans
{
	qer_editorimage textures/ct_ct3t3/lamp_01.tga
	q3map_backSplash 0.025 16
	qer_trans 0.95
	nopicmip
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ct_ct3t3/lamp_01.tga
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/intel/lamp_01.blend.tga
		blendfunc add
	}
}
textures/intel/jp_02
{	
	surfaceparm nomarks
	q3map_surfacelight 500
	q3map_backSplash 0.05 64
	q3map_lightimage textures/intel/jp_01.blend.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/intel/jp_02.tga
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/ct_ct3t3/jp_01_blend.tga
		blendFunc add
		rgbGen wave sin .5 .5 0 5
	}
}
textures/intel/grate_transistor_01
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm playerclip
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none
    nopicmip
	{
		map textures/intel/grate_transistor_01.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}
textures/intel/extreme_1x1
{   
	surfaceparm nomarks
    nopicmip
	{
		map textures/intel/extreme_1x1.jpg
  	}
	{
		map $lightmap
	    rgbGen identity
		blendfunc filter
	}
	{
		map $lightmap
		tcgen environment
		tcmod scale .5 .5
	    rgbGen wave sin .15 0 0 0
		blendfunc add
	}
}
textures/intel/contacts_01_glow
{
	qer_editorimage textures/intel/contacts_01.tga
	q3map_surfacelight 10
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/intel/contacts_01.tga
		blendfunc filter
	}
	{
		map textures/intel/contacts_01.blend.tga
		blendfunc add
	}
}
textures/intel/circuit_blue_trans
{
	qer_editorimage textures/intel/circuit_blue.tga
	surfaceparm trans	
	cull none
	{
		map textures/intel/circuit_blue.tga
		blendfunc add
	}
}
textures/intel/bolt_trim_01_nonsolid
{	
	qer_editorimage textures/ct_ct3t3/bolt_trim_01.tga
	surfaceparm nonsolid
	{	
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ct_ct3t3/bolt_trim_01.tga
		rgbGen identity
		blendFunc filter
	}
}
textures/intel/item_marker_02
{
	surfaceparm nomarks
	q3map_surfacelight 100
	polygonOffset
	qer_trans 0.95
	sort 6
	nopicmip
	{

		map $lightmap
		rgbGen identity
	}
	{
		map textures/intel/item_marker_02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/intel/item_marker_02.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin 0.95 0.05 0 10.0
	}
} 