textures/proto2/beam_blue
{
	qer_editorimage textures/proto2/beam_blue.tga
	surfaceparm trans
	surfaceparm nomarks
    surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans .6
	cull none
	{
		map textures/proto2/beam_blue.tga
		blendfunc add
	}
}
textures/proto2/wood_planks_03
{
	qer_editorimage textures/proto2/wood_planks_03.tga
	surfaceparm	woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/proto2/wood_planks_03.tga
		rgbGen identity
		blendfunc filter
	}
}
textures/proto2/brick_trim_ns
{
	qer_editorimage textures/proto2/brick_trim.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/proto2/brick_trim.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
textures/proto2/dust_flat_blue
{
	qer_editorimage textures/proto2/steam_01_img.tga
	qer_trans 0.50
    cull disable
    surfaceparm trans
    surfaceparm nonsolid
    deformVertexes wave 50 sin 0 3 0 .2
	{
		map textures/proto2/dust03.tga
		tcmod scroll 0 -0.015
		blendFunc blend
		rgbGen wave sin 1 .05 0 .4
	}
	{
		map textures/proto2/dust02.tga
        tcmod scroll 0.015 0.02
		blendFunc blend
		rgbGen wave sin 0.3 .04 0 .5
	}
}
textures/proto2/wood_planks
{
	qer_editorimage textures/proto2/wood_planks.tga
	surfaceparm	woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/proto2/wood_planks.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
textures/proto2/lightbulb
{
	cull disable
	deformVertexes autoSprite2
	surfaceparm trans
	surfaceparm nolightmap
	{
		map textures/proto2/lightbulb.tga
		blendfunc add
		rgbGen identity
	}
}
textures/proto2/lightbulb2
{
	cull disable
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nolightmap
	nopicmip
	{
		map textures/proto2/lightbulb2.tga
		blendfunc add
		rgbGen identity
	}
}
textures/proto2/rail01
{
	surfaceparm trans	
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map textures/proto2/rail01.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}
textures/proto2/techtrim02
{    
    surfaceparm	metalsteps	   
    {
		map textures/sfx/specular.tga
        tcGen environment
        blendfunc GL_ONE GL_ZERO
        rgbGen identity
	}
    {
		map textures/proto2/techtrim02.tga
        blendfunc blend
		rgbGen identity
	}
    {
		map $lightmap
        blendfunc filter
		rgbGen identity
	}
}
textures/proto2/grate_trim
{    
    surfaceparm	metalsteps	   
    {
		map textures/sfx/specular.tga
        tcGen environment
        blendfunc GL_ONE GL_ZERO
        rgbGen identity
	}
    {
		map textures/proto2/grate_trim.tga
        blendfunc blend
		rgbGen identity
	}
    {
		map $lightmap
        blendfunc filter
		rgbGen identity
	}
}
textures/proto2/stadlight01
{
	surfaceparm alphashadow
        surfaceparm nomarks	
	cull none
	{
		map textures/proto2/stadlight01.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
        {
		map textures/proto2/stadlight01fx.tga
		blendfunc add
		rgbGen wave sin .5 .5 0 2
	}
}
textures/proto2/bluea_dcl
{    
    surfaceparm	nomarks   
    surfaceparm	trans
	surfaceparm	nonsolid
    surfaceparm pointlight
	polygonOffset
	qer_trans 0.5
	sort 6
	nopicmip
    {
		map textures/proto2/bluea_dcl.tga
        blendfunc add
		rgbGen vertex
	}
}
textures/proto2/reda_dcl
{
	surfaceparm	nomarks 
	surfaceparm	trans
	surfaceparm	nonsolid
     surfaceparm pointlight
	polygonOffset
	qer_trans 0.5
	sort 6
	nopicmip
        {
		map textures/proto2/reda_dcl.tga
        blendfunc add
		rgbGen vertex
	}
}
textures/proto2/grill01
{
	surfaceparm trans	
	surfaceparm alphashadow
	surfaceparm metalsteps
	cull none
	nopicmip
	{
		map textures/proto2/grill01.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}
textures/base_wall2/jumppad_red_kc
{      
	surfaceparm trans
	surfaceparm nomarks
	polygonOffset 
	sort 6
	nopicmip
	{
		map textures/base_wall2/jumppad_red_kc.tga
		alphafunc GE128
		depthwrite
		rgbGen identity
	}
	{
		map textures/sfx2/jumpadr.tga
		blendfunc GL_ONE GL_ZERO
		depthfunc equal
		tcmod rotate 130
		rgbGen identity
	}
	{
		map textures/sfx2/fan01.tga
		blendfunc blend
		depthfunc equal
		tcmod rotate -311
		rgbGen identity
	}
	{
		clampmap textures/sfx2/jumpadr2.tga
		blendfunc add
		depthfunc equal
		tcmod rotate 130
		tcMod stretch sin 1.2 .8 0 1.4
		rgbGen wave square .5 .5 .25 1.4
	}
	{
		map textures/sfx2/jumpad01.tga
		blendfunc blend
		depthfunc equal
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
		rgbGen identity
	}
	{
		map textures/base_wall2/jumppad_shadow.tga
		blendfunc filter
		rgbGen identity
	}
}
textures/proto2/redlight_on
{
  surfaceparm nolightmap
	{
		map textures/proto2/redlight_on.tga
		rgbGen identity
	}
}
textures/proto2/bluelight_on
{
  surfaceparm nolightmap
	{
		map textures/proto2/bluelight_on.tga
		rgbGen identity
	}
}
textures/proto2/xflag01
{       	
	surfaceparm alphashadow
	surfaceparm nonsolid
	cull none   
	{
		map textures/proto2/xflag01.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity            
	}  
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}
textures/proto2/flare
{
	cull disable
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	{
		clampmap textures/proto2/flare.tga
        tcmod rotate 10
		blendFunc Add
		rgbGen identity
	}
}
textures/proto2/snow01
{
		qer_trans 0.50
    	qer_editorimage textures/proto2/snowed.tga
    	cull disable
    	deformVertexes autoSprite2
    	deformVertexes wave 50 sin 0 3 0 .2
    	surfaceparm trans
    	surfaceparm pointlight
    	surfaceparm nonsolid
	{
		map textures/proto2/snow02.tga
        tcmod scroll 0.025 -0.28
		blendfunc blend
	}
	{
		map textures/proto2/snow02.tga
        tcmod scroll -0.01 -0.4
		blendfunc blend
		rgbGen wave sin 0.5 0 0 0
	}
}
textures/proto2/girder03
{
	surfaceparm trans	
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map textures/proto2/girder03.tga
		alphaFunc GE128
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}
textures/proto2/rsbluelight_off
{
  qer_editorimage textures/proto2/bluelight_off.tga
	{
		map textures/proto2/bluelight_off.tga
		rgbGen identity
	}
}
textures/proto2/tin_floor04_sound
{
	qer_editorimage textures/proto2/tin_floor04.tga
	surfaceparm	metalsteps	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/proto2/tin_floor04.tga
		rgbGen identity
		blendfunc filter
	}
}
textures/proto2/cables
{
	qer_editorimage textures/proto2/cables.tga
	surfaceparm trans	
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/proto2/cables.tga
		blendfunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}
textures/proto2/v_support02
{
	surfaceparm alphashadow
	cull none
    nomipmaps
	{
		map textures/proto2/v_support02.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}
textures/sfx/rain_drop
{
	qer_editorimage textures/sfx/rain_drop1.tga
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	deformVertexes autosprite
	qer_trans .5
	{
		animMap 25 textures/sfx/rain_drop1.tga textures/sfx/rain_drop2.tga textures/sfx/rain_drop3.tga textures/sfx/rain_drop4.tga  textures/sfx/rain_drop4.tga textures/sfx/rain_drop4.tga textures/sfx/rain_drop4.tga textures/sfx/rain_drop4.tga textures/sfx/rain_drop4.tga textures/sfx/rain_drop4.tga textures/sfx/rain_drop4.tga textures/sfx/rain_drop4.tga textures/sfx/rain_drop4.tga textures/sfx/rain_drop4.tga textures/sfx/rain_drop4.tga textures/sfx/rain_drop4.tga textures/sfx/rain_drop4.tga textures/sfx/rain_drop4.tga textures/sfx/rain_drop4.tga
		blendfunc add
	}	
}
textures/proto2/xredflare2
{
	cull disable
	surfaceparm trans
	surfaceparm nolightmap
	nopicmip
	{
		map textures/proto2/xredflare2.tga
		blendfunc add
		rgbGen identity
	}
}
textures/proto2/redflare_nonsolid
{
	qer_editorimage textures/proto2/redflare.tga
    cull disable
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm nolightmap
	{
		clampmap textures/proto2/redflare.tga
        tcmod rotate 10
		blendFunc Add
		rgbGen identity
	}
}
textures/proto2/beam_blue_wide
{
	qer_editorimage textures/proto2/beam_blue_wide.tga
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
    qer_trans .6
	cull none
	{
		map textures/proto2/beam_blue_wide.tga
		tcMod Scroll .3 0
        blendfunc add
	}
}
textures/proto2/blue_zot2
{
	qer_editorimage textures/proto2/blue_zot.tga
    cull disable
	qer_lightimage textures/proto2/blue_zot.tga
	q3map_surfacelight 120
    deformVertexes move 0.2 0 .3  sin 0 5 0 10
    deformVertexes move 0 0.2 0  sin 0 5 0 13
    deformVertexes autoSprite2
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
	{
		map textures/proto2/blue_zot.tga
		blendfunc add
		rgbGen identity
	}
}
textures/proto2/red_zot2
{
    cull disable
	qer_lightimage textures/proto2/red_zot2.tga
	q3map_surfacelight 120
    deformVertexes move 0.2 0 .3  sin 0 5 0 10
    deformVertexes move 0 0.2 0  sin 0 5 0 13
    deformVertexes autoSprite2
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
	{
		map textures/proto2/red_zot2.tga
		blendfunc add
		rgbGen identity
	}
}
textures/proto2/winframe
{
	{
		map models/weapons/nailgun/nailgun_env.tga
		tcGen environment
		rgbGen identity
	}
	{
		map textures/proto2/winframe.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}
textures/proto2/shiny_black
{    
    surfaceparm	nolightmap   
    {
		map textures/proto2/shiny_black.tga
        tcGen environment
        rgbGen identity
	}
    {
		map $lightmap
        blendfunc filter
		rgbGen identity
	}
}
textures/proto2/terramap01
{
    surfaceparm trans
    surfaceparm nolightmap
    nopicmip
	{
		map textures/proto2/terramap01.tga
		blendfunc add
        rgbGen wave sin 1 .2 0 .75
	}
    {
		map textures/proto2/terramap02.tga
        BlendFunc add
        tcmod scale 1.75 1
		tcmod scroll -3.75 0
        rgbGen wave inversesawtooth 1 .2 0 .75
	}
}
textures/proto2/urhere
{
    surfaceparm trans
    surfaceparm nolightmap
    nopicmip
	{
		map textures/proto2/urhere.tga
		alphaFunc GE128
	}
}
textures/proto2/mpterra2_mv
{
	qer_editorimage textures/proto2/ed_movie.tga
	surfaceparm trans
	surfaceparm nolightmap
	cull disable
	{
		map textures/proto2/shiny_black.tga
		tcGen environment
		rgbGen identity
	}      
}
textures/proto2/redflag
{
    surfaceparm trans
    surfaceparm nolightmap
    nopicmip
	{
		map textures/proto2/redflag.tga
		alphaFunc GE128
	}
}
textures/proto2/oneflag
{
    surfaceparm trans
    surfaceparm nolightmap
    nopicmip
	{
		map textures/proto2/oneflag.tga
		alphaFunc GE128
	}
}
textures/proto2/door_right
{    
    surfaceparm	metalsteps	   
    {
		map textures/effects2/envmap_sky.tga
        tcGen environment
        blendfunc GL_ONE GL_ZERO
        rgbGen identity
	}
    {
		map textures/proto2/door_right.tga
        blendfunc blend
		rgbGen identity
	}
    {
		map $lightmap
        blendfunc filter
		rgbGen identity
	}
}
textures/proto2/harvest
{
    surfaceparm trans
    surfaceparm nolightmap
    nopicmip
	{
		map textures/proto2/harvest.tga
		alphaFunc GE128
	}
}
textures/proto2/blueflag
{
    surfaceparm trans
    surfaceparm nolightmap
    nopicmip
	{
		map textures/proto2/blueflag.tga
		alphaFunc GE128
	}
}
textures/proto2/blueob
{
    surfaceparm trans
    surfaceparm nolightmap
    nopicmip
	{
		map textures/proto2/blueob.tga
		alphaFunc GE128
	}
}
textures/proto2/redob
{
    surfaceparm trans
    surfaceparm nolightmap
    nopicmip
	{
		map textures/proto2/redob.tga
		alphaFunc GE128
	}
}
textures/proto2/blueat_dcl
{    
    surfaceparm	nomarks   
    surfaceparm	trans
    surfaceparm pointlight
	polygonOffset
	qer_trans 0.5
	sort 6
	nopicmip
	{
		map textures/proto2/blueat_dcl.tga
        blendfunc add
		rgbGen vertex
	}
}
textures/proto2/girder04
{
	surfaceparm trans	
	surfaceparm alphashadow
	cull none
	{
		map textures/proto2/girder04.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}
textures/proto2/concrete01wetwall
{
	{
		map textures/proto2/ooze.tga
		tcmod scale 2 2
		tcmod scroll 0 -.1
		rgbGen identity
	}
	{
		map textures/proto2/concrete01wetwall.tga
		Blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}
textures/proto2/chain
{
	cull disable
	deformVertexes autoSprite2
	deformVertexes wave 100 sin 0 3 0 .05
	deformVertexes wave 100 sin 0 3 0 .3
	{
		map textures/proto2/chain.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}
textures/proto2/steam01
{
    qer_editorimage textures/proto2/steam_01_img.tga
    cull disable
    deformVertexes autoSprite2
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm pointlight
    deformVertexes wave 50 sin 0 3 0 .3
    deformVertexes move .3 .1 0  sin 0 .5 0 0.2
	{
		map textures/proto2/steam01.tga
        tcmod scroll 0 0.3
		blendfunc blend
		rgbGen wave sin 1 .05 0 .75
	}
	{
		map textures/proto2/steam01.tga
        tcmod scroll 0 0.4
		blendfunc blend
		rgbGen wave sin 0.4 .1 0 .5
	}
}
textures/proto2/tin_panel
{
	surfaceparm	metalsteps	   
	{
		map textures/effects/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ZERO
		rgbGen identity
	}
	{
		map textures/proto2/tin_panel.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}
textures/proto2/vent01
{
	surfaceparm trans	
	surfaceparm alphashadow
	cull none
	{
		map textures/proto2/vent01.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}
textures/proto2/xblueflare2
{
	cull disable
	surfaceparm trans
	surfaceparm nolightmap
	nopicmip
	{
		map textures/proto2/blueflare2.tga
		blendfunc add
		rgbGen identity
	}
}
textures/proto2/supportctfred
{
	{
		map textures/effects2/envmap_red.tga
        blendfunc GL_ONE GL_ZERO
        tcmod scale .025 .05
        tcmod Scroll  .005 .02
        rgbGen identity
	}
    {
		map textures/proto2/supportctfred.tga
        blendfunc blend
		rgbGen identity
	}
    {
		map $lightmap
        blendfunc filter
		rgbGen identity
	}
}
textures/proto2/supportctfblu
{
	{
		map textures/effects2/envmap_blu.tga
        blendfunc GL_ONE GL_ZERO
        tcmod scale .025 .05
        tcmod Scroll  .005 .02
        rgbGen identity
	}
    {
		map textures/proto2/supportctfblu.tga
        blendfunc blend
		rgbGen identity
	}
    {
		map $lightmap
        blendfunc filter
		rgbGen identity
	}
}
textures/proto2/wood_planks_02
{
	qer_editorimage textures/proto2/wood_planks_02.tga
	surfaceparm	woodsteps
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/proto2/wood_planks_02.tga
		rgbGen identity
		blendfunc filter
	}
}
textures/proto2/grill03b
{      	
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none   
	{
		map textures/proto2/grill03b.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
    }
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}
textures/proto2/c_zinc_shiny
{   
    qer_editorimage textures/gothic_trim/zinc_shiny.tga
    cull none
    {
        map textures/effects/tinfx.tga       
        tcGen environment
        rgbGen identity
	}   
    {
		map textures/gothic_trim/zinc_shiny.tga
        blendfunc blend
		rgbGen identity
	} 
    {
		map $lightmap
        blendfunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}
textures/proto2/grill02
{
	surfaceparm alphashadow
	surfaceparm nomarks
	cull none
	nopicmip
    {
		map textures/proto2/grill02.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
    }
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}
textures/proto2/light_nv
{    
    surfaceparm	nolightmap  
    {
		map textures/proto2/light_nv.tga
		rgbGen identity
	} 
	{
		map textures/effects/tinfx2b.tga
        tcGen environment
        blendfunc add
        rgbGen identity
	}
}
textures/proto2/concrete_bluenfx
{   
	surfaceparm	metalsteps	   
	qer_editorimage textures/proto2/concrete_blue.tga   
	{
		map textures/proto2/concrete_blue.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}
textures/proto2/x_smallpipe
{
	deformVertexes autoSprite2
    surfaceparm trans	
	surfaceparm alphashadow
	cull none
	{
		map textures/proto2/x_smallpipe.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}
textures/proto2/concrete_rednfx
{   
	surfaceparm	metalsteps
	qer_editorimage textures/proto2/concrete_red.tga 
	{
		map textures/proto2/concrete_red.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}
textures/proto2/dust_flat
{
    qer_editorimage textures/proto2/steam_01_img.tga
	qer_trans 0.50
    cull disable
    surfaceparm trans
    surfaceparm nonsolid
	surfaceparm nomarks
    deformVertexes wave 50 sin 0 3 0 .2
	{
		map textures/proto2/dust01.tga
        tcmod scroll 0 -0.015
		blendfunc blend
		rgbGen wave sin 1 .05 0 .4
	}
	{
		map textures/proto2/dust02.tga
        tcmod scroll 0.015 0.02
		blendfunc blend
		rgbGen wave sin 0.3 .04 0 .5
	}
}
textures/proto2/duct01
{    
    surfaceparm	metalsteps	   
    {
		map textures/effects/tinfx.tga
        tcGen environment
        blendfunc GL_ONE GL_ZERO
        rgbGen identity
	}
    {
		map textures/proto2/duct01.tga
        blendfunc blend
		rgbGen identity
	}
    {
		map $lightmap
        blendfunc filter
		rgbGen identity
	}
}
textures/proto2/girder05
{
	surfaceparm trans	
	surfaceparm alphashadow
	cull none
	{
		map textures/proto2/girder05.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}
textures/proto2/blueflare_nonsolid
{
	qer_editorimage textures/proto2/blueflare.tga
	cull disable
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	nopicmip
	{
		clampmap textures/proto2/blueflare.tga
		tcmod rotate 10
		blendfunc add
		rgbGen identity
	}
}
textures/proto2/steam02
{
    qer_editorimage textures/proto2/steam02_img.tga
    cull disable
    deformVertexes autoSprite2
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm pointlight
    deformVertexes wave 50 sin 0 3 0 .3
    deformVertexes move .3 .1 0  sin 0 .5 0 0.2
	{
		map textures/proto2/steam02.tga
        tcmod scroll 0 0.3
		blendfunc blend
		rgbGen wave sin 1 .05 0 .75
	}
	{
		map textures/proto2/steam02.tga
        tcmod scroll 0 0.4
		blendfunc blend
		rgbGen wave sin 0.4 .1 0 .5
	}
}
textures/proto2/grit01_nonsolid
{
	qer_editorimage textures/proto2/grit01.tga
	surfaceparm nonsolid
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/proto2/grit01.tga
		blendfunc filter
	}
}
textures/proto2/chain_still
{
	qer_editorimage textures/proto2/chain.tga
	cull disable
	surfaceparm nomarks
	surfaceparm nonsolid
	{
		map textures/proto2/chain.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}
textures/proto2/x_rocky01
{
	surfaceparm nolightmap
	{
		map textures/proto2/xrocky01.tga
		tcmod scale .8 .8
		rgbGen vertex
	}
}
textures/proto2/redflare2
{
    cull disable
    deformVertexes autoSprite2
    surfaceparm trans
    surfaceparm nolightmap
	nopicmip
	{
		map textures/proto2/redflare2.tga
		blendfunc add
		rgbGen identity
	}
}
textures/proto2/proto_lightamber_3
{
	qer_editorimage textures/proto2/proto_lightamber.tga
	q3map_lightimage textures/proto2/proto_lightamber.tga
	surfaceparm nomarks
	q3map_surfacelight 300
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/proto2/proto_lightamber.tga
		blendfunc filter
		rgbGen identity
	}
        {
		map textures/proto2/proto_lightamber.tga
		blendfunc add
	}
}
textures/proto2/bright_red
{
	qer_editorimage textures/proto2/siberia_ared.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/proto2/siberia_ared.tga
		blendfunc blend
	}
}
textures/proto2/bright_blue
{
	qer_editorimage textures/proto2/siberia_ablue.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/proto2/siberia_ablue.tga
		blendfunc blend
	}
}
textures/proto2/proto_lightamber_500
{
	qer_editorimage textures/proto2/proto_lightamber.tga
	q3map_lightimage textures/proto2/proto_lightamber.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/proto2/proto_lightamber.tga
		blendfunc filter
		rgbGen identity
	}
    {
		map textures/proto2/proto_lightamber.tga
		blendfunc add
	}
}
textures/proto2/cables02
{
	qer_editorimage textures/proto2/cables02.tga
	surfaceparm trans	
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/proto2/cables02.tga
		blendfunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}
textures/proto2/asylum_floor_w_plain
{
	qer_editorimage textures/proto2/asylum_floor_w.tga
	{
		map $lightmap
		rgbGen identity 
	}
	{
		map textures/proto2/asylum_floor_w.tga
		rgbGen identity
		blendfunc filter
	}
}
textures/proto2/asylum_floor_w_nonsolid
{
	surfaceparm nonsolid
	qer_editorimage textures/proto2/asylum_floor_w.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/proto2/asylum_floor_w.tga
		rgbGen identity
		blendfunc filter
	}
}
textures/proto2/flare_sun
{
	qer_editorimage textures/proto2/sun.tga
    cull disable
    surfaceparm trans
    surfaceparm nolightmap
	nopicmip
	{
		map textures/proto2/sun.tga
		blendfunc add
		rgbGen identity
	}
}
textures/proto2/vertex_greenstone
{   
	qer_editorimage textures/gothic_block/blocks17i.tga
 	surfaceparm pointlight
	{
		map textures/gothic_block/blocks17i.tga 
		rgbGen vertex
	}
}
textures/proto2/chain_rept
{
	cull none
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	deformvertexes autosprite2
	sort underwater
	{
		map textures/proto2/chain_rept.tga
		blendfunc blend
		rgbgen vertex
	}
}
textures/proto2/pipewall01_noalpha
{
	qer_editorimage textures/proto2/pipewall01.tga
	surfaceparm	metalsteps	
	{
		map textures/proto2/pipewall01.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
}
textures/proto2/vent01_noalpha
{
	qer_editorimage textures/proto2/vent01.tga
	surfaceparm	metalsteps	 
	{
		map textures/proto2/vent01.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
}
textures/proto2/rail01_noshadow
{
	qer_editorimage textures/proto2/rail01.tga
	surfaceparm trans
	cull none
	nopicmip
	{
		map textures/proto2/rail01.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
		depthFunc equal
	}
}
textures/proto2/grill01_noalpha
{
	qer_editorimage textures/proto2/grill01.tga 
	nopicmip
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/proto2/grill01.tga
		blendfunc filter
		rgbgen identity
	}
}